/*
 *  TOPPERS/FMP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Flexible MultiProcessor Kernel
 *
 *  Copyright (C) 2008-2009 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: target_serial.h 117 2009-01-29 17:21:26Z ertl-honda $
 */

/*
 * ꥢI/OǥХSIO˥ɥ饤СNIOS2_DEVѡ
 */

#ifndef TOPPERS_TARGET_SERIAL_H
#define TOPPERS_TARGET_SERIAL_H

#include "nios2_system.h"

/*
 *  SIOγߥϥɥΥ٥ֹ
 */
#define INHNO_SIO_PORT1  (0x10000 | JTAG_UART_1_INT)  /* ߥϥɥֹ */
#define INTNO_SIO_PORT1  (0x10000 | JTAG_UART_1_INT)  /* ֹ */
#define INTPRI_SIO_PORT1 (-2)            /* ͥ */
#define INTATR_SIO_PORT1 0U              /* ° */

#define INHNO_SIO_PORT2  (0x20000 | JTAG_UART_2_INT)  /* ߥϥɥֹ */
#define INTNO_SIO_PORT2  (0x20000 | JTAG_UART_2_INT)  /* ֹ */
#define INTPRI_SIO_PORT2 (-2)            /* ͥ */
#define INTATR_SIO_PORT2 0U              /* ° */

#define INHNO_SIO_PORT3  (0x40000 | JTAG_UART_3_INT)  /* ߥϥɥֹ */
#define INTNO_SIO_PORT3  (0x40000 | JTAG_UART_3_INT)  /* ֹ */
#define INTPRI_SIO_PORT3 (-2)            /* ͥ */
#define INTATR_SIO_PORT3 0U              /* ° */

#define INHNO_SIO_PORT4  (0x80000 | JTAG_UART_4_INT)  /* ߥϥɥֹ */
#define INTNO_SIO_PORT4  (0x80000 | JTAG_UART_4_INT)  /* ֹ */
#define INTPRI_SIO_PORT4 (-2)            /* ͥ */
#define INTATR_SIO_PORT4 0U              /* ° */

/*
 *  åװ¸⥸塼JTAG UARTѡ
 */
#include "nios2_gcc/jtag_uart.h"

#endif /* TOPPERS_TARGET_SERIAL_H */
